typedef struct
{
  FILE *            BitmapFile;
  BITMAPFILEHEADER  FileHeader;
  BITMAPINFOHEADER  BmpHeader;
  int               PalletteCount;
  COLORREF          Pallette[256];
} BMPINFO;

COLORREF *GetLineColorBuf (BMPINFO *BmpInfo);
void FreeLineColorBuf (BMPINFO *BmpInfo, COLORREF *ColorBuf);
BMPINFO * GetBmpInfo (const char *BmpFile);
void ReleaseBmpInfo (BMPINFO *BmpInfo);
COLORREF GetBitmapColor (BMPINFO *BmpInfo, int x, int y);
int GetBitmapLineColor (BMPINFO *BmpInfo, int y, COLORREF *ColorBuf);
