/*****************************************************************************************
 * File name     : COMM.H
 * Author        : Han Zhi Qiang
 * Module        : 
 * Purpose       : 
 * Create Date   : June 30, 2001 - 23:42
 * Modify history: 
 *****************************************************************************************
 */

#ifndef __COMM_H
#define __COMM_H

/*****************************************************************************************
 * Overview
 *****************************************************************************************
 * ==> To add your description <==
 ****************************************************************************************/

/*****************************************************************************************
 * MACRO functions declare
 ****************************************************************************************/

/*****************************************************************************************
 * Identifier constant declare
 ****************************************************************************************/

#define WM_RECEIVEDSMS                  (WM_USER+0x10)
#define WM_SHELLICONNOTIFY              (WM_USER+0x20)
#define WM_GETNEXTTASKNODE              (WM_USER+0x21)

/*****************************************************************************************
 * Data structure declare
 ****************************************************************************************/
typedef enum
{
  STEC_SUCCESSFUL,
  STEC_ALREADYSTART,
  STEC_OPENCOMMPORT,
  STEC_COMMPROTERR,
  STEC_STARTTHREAD,
} STEC;

typedef struct tagRECVMSGDATA
{
  const CHAR *    pcszPhoneNo;
  const BYTE *    pbContent;
  DWORD           dwContentSize;
} RECVMSGDATA, *PRECVMSGDATA;

/*****************************************************************************************
 * Global variable declare
 ****************************************************************************************/
#ifdef ALLOCATE_COMM_VARIABLE_MEMORY
  #define COMM_VARIABLE_EXTERN
#else
  #define COMM_VARIABLE_EXTERN extern
#endif

#ifdef LOOPBACKDEBUG
COMM_VARIABLE_EXTERN BOOL gfSendPacket82;
COMM_VARIABLE_EXTERN BOOL gfSendPacket83;
#endif

/****************************************************************************************/
STEC StartCommunicationThread(WORD wPort);
void StopCommunicationThread(void);
BOOL IsStopCommunicationThread(void);
void ReleaseCommunicationThread(void);
void KillCommuicationThread(void);
/****************************************************************************************/

#endif//__COMM_H
