/*****************************************************************************************
 * File name     : UI.H
 * Author        : Skeleton Key
 * Module        : 
 * Purpose       : 
 * Create Date   : June 8, 2001 - 10:10
 * Modify history: 
 *****************************************************************************************
 */

#ifndef __UI_H
#define __UI_H

typedef enum
{
  STFLAG_ALWAYSFOCUS   = 0x00000001l,
  STFLAG_TABSTOP       = 0x00000002l,
  STFLAG_IGNORETYPE    = 0x00000004l,
  STFLAG_EXPANDNEWLINE = 0x00000008l,
  STFLAG_INSPECTSTREAM = 0x80000000l,
} STFLAG;

typedef enum
{
  OMPT_SUCCESS,
  OMPT_ERROR,
  OMPT_INFO,
  OMPT_UPLOAD,
  OMPT_DOWNLOAD,
} OMPT;

typedef HWND (PASCAL *STATWND_CREATEWND)(HINSTANCE hInst, HWND hWndParent, STFLAG Flags);
typedef WORD (PASCAL *STATWND_STREAMBYTE)(HWND hWnd, OMPT Type, BYTE bVal);

/*****************************************************************************************
 * Global variable declare
 ****************************************************************************************/
#ifdef ALLOCATE_UI_VARIABLE_MEMORY
  #define UI_VARIABLE_EXTERN
#else
  #define UI_VARIABLE_EXTERN extern
#endif

UI_VARIABLE_EXTERN HINSTANCE  ghInst;
UI_VARIABLE_EXTERN HWND       ghMainWnd;
UI_VARIABLE_EXTERN HWND       ghDebugWnd;

UI_VARIABLE_EXTERN STATWND_CREATEWND  gpfunSTATWND_CreateWnd;
UI_VARIABLE_EXTERN STATWND_STREAMBYTE gpfunSTATWND_StreamByte;

#endif//__UI_H
