/*****************************************************************************************
 * File name     : COMM.H
 * Author        : Han Zhi Qiang
 * Module        : 
 * Purpose       : 
 * Create Date   : June 30, 2001 - 23:42
 * Modify history: 
 *****************************************************************************************
 */

#ifndef __COMM_H
#define __COMM_H

/*****************************************************************************************
 * Overview
 *****************************************************************************************
 * ==> To add your description <==
 ****************************************************************************************/

/*****************************************************************************************
 * MACRO functions declare
 ****************************************************************************************/

/*****************************************************************************************
 * Identifier constant declare
 ****************************************************************************************/
#define WM_MODEMSTATUS                  (WM_USER+0x10)
#define WM_TASKSTATUS                   (WM_USER+0x11)
#define WM_REMALLOCNODE                 (WM_USER+0x12)
#define WM_GETNEXTTASKNODE              (WM_USER+0x13)
#define WM_UPDATETASKNODE               (WM_USER+0x14)
#define WM_SEARCHTASKNODE               (WM_USER+0x15)
#define WM_DIRECTCONNECT                (WM_USER+0x16)
#define WM_QUITDIRECTCONNECT            (WM_USER+0x17)
#define WM_TURNON                       (WM_USER+0x18)
#define WM_TURNOFF                      (WM_USER+0x19)
#define WM_AUTOPOPUPSTATUSBOX           (WM_USER+0x1a)
#define WM_SHELLICONNOTIFY              (WM_USER+0x20)

/*****************************************************************************************
 * Data structure declare
 ****************************************************************************************/
typedef enum
{
  STEC_SUCCESSFUL,
  STEC_ALREADYSTART,
  STEC_OPENCOMMPORT,
  STEC_COMMPROTERR,
  STEC_STARTTHREAD,
} STEC;

/*****************************************************************************************
 * Global variable declare
 ****************************************************************************************/
#ifdef ALLOCATE_COMM_VARIABLE_MEMORY
  #define COMM_VARIABLE_EXTERN
#else
  #define COMM_VARIABLE_EXTERN extern
#endif

COMM_VARIABLE_EXTERN BOOL gfSkipIdleTickCount;

#ifdef LOOPBACKDEBUG
COMM_VARIABLE_EXTERN BOOL gfEnableAT___;
COMM_VARIABLE_EXTERN BOOL gfPutRing;
#endif

/****************************************************************************************/
STEC StartCommunicationThread(WORD wPort);
void StopCommunicationThread(void);
BOOL IsStopCommunicationThread(void);
void ReleaseCommunicationThread(void);
void KillCommuicationThread(void);

#endif//__COMM_H
